:root {
    --color-bg: var(--neutral-700);
    --color-border: var(--neutral-800);

    --color-text-lighter: var(--neutral-200);
    --color-text: var(--neutral-300);
    --color-text-darker: var(--neutral-400);

    --color-text-shadow: var(--neutral-900);

    --color-disabled: var(--neutral-600);

    --color-accent: var(--yellow-500);
    --color-accent-shadow: var(--yellow-900);
    --color-accent-hover: var(--yellow-300);

    --color-info: var(--blue-400);
    --color-info-shadow: var(--blue-900);

    --color-warning: var(--orange-400);
    --color-warning-shadow: var(--orange-900);

    --color-success: var(--green-400);
    --color-success-shadow: var(--green-900);

    --color-error: var(--red-400);
    --color-error-shadow: var(--green-900);


    --box-bg: var(--neutral-800);
    --box-shadow: 0 0 2px 1px rgba(255, 255, 255, 0.05), var(--box-shadow-ext);
    --box-shadow-ext: 0 4px 1rem rgba(0, 0, 0, 0.5);


    --text-shadow: 0 0 1px rgba(0, 0, 0, 0.5), 0 0 2px rgba(0, 0, 0, 0.5), 0 0 4px rgba(0, 0, 0, 0.5);


    --field-text-color: var(--neutral-100);
    --field-bg: var(--neutral-800);
    --field-shadow: 0 0 2px 1px rgba(255, 255, 255, 0.05), var(--box-shadow-ext);
    --field-label-color: var(--neutral-500);


    --btn-text-color: var(--neutral-800);
    --btn-text-shadow: 0 0 2px white, 0 0 2px white;
    --btn-bg: var(--yellow-600);
    --btn-hover-text-color: var(--neutral-100);
    --btn-hover-text-shadow: 0 0 1px black, 0 0 1px black;
    --btn-hover-bg: var(--yellow-500);

    --btn-disabled-text-color: var(--neutral-800);
    --btn-disabled-text-shadow: 0 0 1px rgba(255, 255, 255, 0.5);
    --btn-disabled-bg: var(--neutral-600) !important;
    --btn-disabled-shadow: 0 2px 10px rgba(0, 0, 0, 0.25);

    --subTitle-text-shadow: var(--text-shadow);
}


a {
    color: var(--color-accent);
    text-shadow: 0 0 1px black, 0 0 2px black, 0 2px 5px rgba(0, 0, 0, 0.5);
}

a:hover {
    color: var(--color-accent-hover);
    text-shadow: 0 0 1px black, 0 0 2px black, 0 0 5px rgba(0, 0, 0, 0.25);
}